import * as i0 from "@angular/core";
export declare class MonkeyEcxPaginationService {
    private callbacks;
    constructor();
    setCallback(callback: Function, name?: string): void;
    execute(type: string, name?: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxPaginationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxPaginationService>;
}
